package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("字典类型Vo")
public class SettingDictTypeVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("字典名称")
   private String dictName;
   @ApiModelProperty("字典类型")
   private String dictType;
   @ApiModelProperty("字典备注")
   private String dictRemark;
   @ApiModelProperty("字典状态")
   private Integer dictStatus;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getDictName() {
      return this.dictName;
   }

   public String getDictType() {
      return this.dictType;
   }

   public String getDictRemark() {
      return this.dictRemark;
   }

   public Integer getDictStatus() {
      return this.dictStatus;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setDictName(String dictName) {
      this.dictName = dictName;
   }

   public void setDictType(String dictType) {
      this.dictType = dictType;
   }

   public void setDictRemark(String dictRemark) {
      this.dictRemark = dictRemark;
   }

   public void setDictStatus(Integer dictStatus) {
      this.dictStatus = dictStatus;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingDictTypeVo)) {
         return false;
      } else {
         SettingDictTypeVo other = (SettingDictTypeVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label95: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label95;
                  }
               } else if (this$id.equals(other$id)) {
                  break label95;
               }

               return false;
            }

            Object this$dictStatus = this.getDictStatus();
            Object other$dictStatus = other.getDictStatus();
            if (this$dictStatus == null) {
               if (other$dictStatus != null) {
                  return false;
               }
            } else if (!this$dictStatus.equals(other$dictStatus)) {
               return false;
            }

            Object this$dictName = this.getDictName();
            Object other$dictName = other.getDictName();
            if (this$dictName == null) {
               if (other$dictName != null) {
                  return false;
               }
            } else if (!this$dictName.equals(other$dictName)) {
               return false;
            }

            label74: {
               Object this$dictType = this.getDictType();
               Object other$dictType = other.getDictType();
               if (this$dictType == null) {
                  if (other$dictType == null) {
                     break label74;
                  }
               } else if (this$dictType.equals(other$dictType)) {
                  break label74;
               }

               return false;
            }

            label67: {
               Object this$dictRemark = this.getDictRemark();
               Object other$dictRemark = other.getDictRemark();
               if (this$dictRemark == null) {
                  if (other$dictRemark == null) {
                     break label67;
                  }
               } else if (this$dictRemark.equals(other$dictRemark)) {
                  break label67;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingDictTypeVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $dictStatus = this.getDictStatus();
      result = result * 59 + ($dictStatus == null ? 43 : $dictStatus.hashCode());
      Object $dictName = this.getDictName();
      result = result * 59 + ($dictName == null ? 43 : $dictName.hashCode());
      Object $dictType = this.getDictType();
      result = result * 59 + ($dictType == null ? 43 : $dictType.hashCode());
      Object $dictRemark = this.getDictRemark();
      result = result * 59 + ($dictRemark == null ? 43 : $dictRemark.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SettingDictTypeVo(id=" + this.getId() + ", dictName=" + this.getDictName() + ", dictType=" + this.getDictType() + ", dictRemark=" + this.getDictRemark() + ", dictStatus=" + this.getDictStatus() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
